accrue.analysis.ext

## Class AnalysisExtFactory_c

- java.lang.Object
- - polyglot.ast.AbstractExtFactory_c
  - - accrue.analysis.ext.AnalysisExtFactory_c

- All Implemented Interfaces:
    AnalysisExtFactory, java.lang.Iterable<polyglot.ast.ExtFactory>, polyglot.ast.ExtFactory
  Direct Known Subclasses:
    JL5AnalysisExtFactory_c

      public class AnalysisExtFactory_c
      extends polyglot.ast.AbstractExtFactory_c
      implements AnalysisExtFactory

- - ### Field Summary

    - ### Fields inherited from class polyglot.ast.AbstractExtFactory_c

      `emptyExtFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalysisExtFactory_c()`
    `AnalysisExtFactory_c(polyglot.ast.ExtFactory nextExtFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected polyglot.ast.Ext` | `extArrayAccessAssignImpl()`
    `protected polyglot.ast.Ext` | `extArrayAccessImpl()`
    `protected polyglot.ast.Ext` | `extArrayInitImpl()`
    `protected polyglot.ast.Ext` | `extAssertImpl()`
    `protected polyglot.ast.Ext` | `extBinaryImpl()`
    `protected polyglot.ast.Ext` | `extBlockImpl()`
    `protected polyglot.ast.Ext` | `extBranchImpl()`
    `protected polyglot.ast.Ext` | `extCallImpl()`
    `protected polyglot.ast.Ext` | `extCastImpl()`
    `protected polyglot.ast.Ext` | `extCatchImpl()`
    `protected polyglot.ast.Ext` | `extConditionalImpl()`
    `protected polyglot.ast.Ext` | `extConstructorCallImpl()`
    `protected polyglot.ast.Ext` | `extConstructorDeclImpl()`
    `protected polyglot.ast.Ext` | `extDoImpl()`
    `protected polyglot.ast.Ext` | `extEmptyImpl()`
    `protected polyglot.ast.Ext` | `extEvalImpl()`
    `protected polyglot.ast.Ext` | `extExprImpl()`
    `protected polyglot.ast.Ext` | `extFieldAssignImpl()`
    `protected polyglot.ast.Ext` | `extFieldDeclImpl()`
    `protected polyglot.ast.Ext` | `extFieldImpl()`
    `protected polyglot.ast.Ext` | `extFormalImpl()`
    `protected polyglot.ast.Ext` | `extIfImpl()`
    `protected polyglot.ast.Ext` | `extInitializerImpl()`
    `protected polyglot.ast.Ext` | `extInstanceofImpl()`
    `protected polyglot.ast.Ext` | `extLabeledImpl()`
    `protected polyglot.ast.Ext` | `extLitImpl()`
    `protected polyglot.ast.Ext` | `extLocalAssignImpl()`
    `protected polyglot.ast.Ext` | `extLocalDeclImpl()`
    `protected polyglot.ast.Ext` | `extLocalImpl()`
    `protected polyglot.ast.Ext` | `extMethodDeclImpl()`
    `protected polyglot.ast.Ext` | `extNewArrayImpl()`
    `protected polyglot.ast.Ext` | `extNewImpl()`
    `protected polyglot.ast.Ext` | `extNodeImpl()`
    `protected polyglot.ast.Ext` | `extReturnImpl()`
    `protected polyglot.ast.Ext` | `extSpecialImpl()`
    `polyglot.ast.Ext` | `extSuppress()`
    `protected polyglot.ast.Ext` | `extSuppressImpl()`
    `protected polyglot.ast.Ext` | `extSwitchBlockImpl()`
    `protected polyglot.ast.Ext` | `extSwitchImpl()`
    `protected polyglot.ast.Ext` | `extSynchronizedImpl()`
    `protected polyglot.ast.Ext` | `extTermImpl()`
    `protected polyglot.ast.Ext` | `extThrowImpl()`
    `protected polyglot.ast.Ext` | `extTryImpl()`
    `protected polyglot.ast.Ext` | `extTypeNodeImpl()`
    `protected polyglot.ast.Ext` | `extUnaryImpl()`
    `protected polyglot.ast.Ext` | `extWhileImpl()`
    `protected polyglot.ast.Ext` | `postExtSuppress(polyglot.ast.Ext e)`

    - ### Methods inherited from class polyglot.ast.AbstractExtFactory_c

      `composeExts, extAmbAssign, extAmbAssignImpl, extAmbExpr, extAmbExprImpl, extAmbPrefix, extAmbPrefixImpl, extAmbQualifierNode, extAmbQualifierNodeImpl, extAmbReceiver, extAmbReceiverImpl, extAmbTypeNode, extAmbTypeNodeImpl, extArrayAccess, extArrayAccessAssign, extArrayInit, extArrayTypeNode, extArrayTypeNodeImpl, extAssert, extAssign, extAssignImpl, extBinary, extBlock, extBooleanLit, extBooleanLitImpl, extBranch, extCall, extCanonicalTypeNode, extCanonicalTypeNodeImpl, extCase, extCaseImpl, extCast, extCatch, extCharLit, extCharLitImpl, extClassBody, extClassBodyImpl, extClassDecl, extClassDeclImpl, extClassLit, extClassLitImpl, extClassMember, extClassMemberImpl, extCodeDecl, extCodeDeclImpl, extCompoundStmt, extCompoundStmtImpl, extConditional, extConstructorCall, extConstructorDecl, extDo, extEmpty, extEval, extExpr, extField, extFieldAssign, extFieldDecl, extFloatLit, extFloatLitImpl, extFor, extForImpl, extFormal, extId, extIdImpl, extIf, extImport, extImportImpl, extInitializer, extInstanceof, extIntLit, extIntLitImpl, extLabeled, extLit, extLocal, extLocalAssign, extLocalClassDecl, extLocalClassDeclImpl, extLocalDecl, extLoop, extLoopImpl, extMethodDecl, extNew, extNewArray, extNode, extNodeList, extNodeListImpl, extNullLit, extNullLitImpl, extNumLit, extNumLitImpl, extPackageNode, extPackageNodeImpl, extProcedureDecl, extProcedureDeclImpl, extReturn, extSourceCollection, extSourceCollectionImpl, extSourceFile, extSourceFileImpl, extSpecial, extStmt, extStmtImpl, extStringLit, extStringLitImpl, extSwitch, extSwitchBlock, extSwitchElement, extSwitchElementImpl, extSynchronized, extTerm, extThrow, extTry, extTypeNode, extUnary, extWhile, iterator, nextExtFactory, postExtAmbAssign, postExtAmbExpr, postExtAmbPrefix, postExtAmbQualifierNode, postExtAmbReceiver, postExtAmbTypeNode, postExtArrayAccess, postExtArrayAccessAssign, postExtArrayInit, postExtArrayTypeNode, postExtAssert, postExtAssign, postExtBinary, postExtBlock, postExtBooleanLit, postExtBranch, postExtCall, postExtCanonicalTypeNode, postExtCase, postExtCast, postExtCatch, postExtCharLit, postExtClassBody, postExtClassDecl, postExtClassLit, postExtClassMember, postExtCodeDecl, postExtCompoundStmt, postExtConditional, postExtConstructorCall, postExtConstructorDecl, postExtDo, postExtEmpty, postExtEval, postExtExpr, postExtField, postExtFieldAssign, postExtFieldDecl, postExtFloatLit, postExtFor, postExtFormal, postExtId, postExtIf, postExtImport, postExtInitializer, postExtInstanceof, postExtIntLit, postExtLabeled, postExtLit, postExtLocal, postExtLocalAssign, postExtLocalClassDecl, postExtLocalDecl, postExtLoop, postExtMethodDecl, postExtNew, postExtNewArray, postExtNode, postExtNodeList, postExtNullLit, postExtNumLit, postExtPackageNode, postExtProcedureDecl, postExtReturn, postExtSourceCollection, postExtSourceFile, postExtSpecial, postExtStmt, postExtStringLit, postExtSwitch, postExtSwitchBlock, postExtSwitchElement, postExtSynchronized, postExtTerm, postExtThrow, postExtTry, postExtTypeNode, postExtUnary, postExtWhile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.ExtFactory

      `extAmbAssign, extAmbExpr, extAmbPrefix, extAmbQualifierNode, extAmbReceiver, extAmbTypeNode, extArrayAccess, extArrayAccessAssign, extArrayInit, extArrayTypeNode, extAssert, extAssign, extBinary, extBlock, extBooleanLit, extBranch, extCall, extCanonicalTypeNode, extCase, extCast, extCatch, extCharLit, extClassBody, extClassDecl, extClassLit, extClassMember, extCodeDecl, extCompoundStmt, extConditional, extConstructorCall, extConstructorDecl, extDo, extEmpty, extEval, extExpr, extField, extFieldAssign, extFieldDecl, extFloatLit, extFor, extFormal, extId, extIf, extImport, extInitializer, extInstanceof, extIntLit, extLabeled, extLit, extLocal, extLocalAssign, extLocalClassDecl, extLocalDecl, extLoop, extMethodDecl, extNew, extNewArray, extNode, extNodeList, extNullLit, extNumLit, extPackageNode, extProcedureDecl, extReturn, extSourceCollection, extSourceFile, extSpecial, extStmt, extStringLit, extSwitch, extSwitchBlock, extSwitchElement, extSynchronized, extTerm, extThrow, extTry, extTypeNode, extUnary, extWhile, nextExtFactory`

    - ### Methods inherited from interface java.lang.Iterable

      `iterator`

- - ### Constructor Detail

    - #### AnalysisExtFactory_c

          public AnalysisExtFactory_c(polyglot.ast.ExtFactory nextExtFactory)

    - #### AnalysisExtFactory_c

          public AnalysisExtFactory_c()

  - ### Method Detail

    - #### extNodeImpl

          protected polyglot.ast.Ext extNodeImpl()

      Overrides:
        `extNodeImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extDoImpl

          protected polyglot.ast.Ext extDoImpl()

      Overrides:
        `extDoImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extLabeledImpl

          protected polyglot.ast.Ext extLabeledImpl()

      Overrides:
        `extLabeledImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extSwitchImpl

          protected polyglot.ast.Ext extSwitchImpl()

      Overrides:
        `extSwitchImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extTermImpl

          protected polyglot.ast.Ext extTermImpl()

      Overrides:
        `extTermImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extBranchImpl

          protected polyglot.ast.Ext extBranchImpl()

      Overrides:
        `extBranchImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extAssertImpl

          protected polyglot.ast.Ext extAssertImpl()

      Overrides:
        `extAssertImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extEmptyImpl

          protected polyglot.ast.Ext extEmptyImpl()

      Overrides:
        `extEmptyImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extSynchronizedImpl

          protected polyglot.ast.Ext extSynchronizedImpl()

      Overrides:
        `extSynchronizedImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extFormalImpl

          protected polyglot.ast.Ext extFormalImpl()

      Overrides:
        `extFormalImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extCallImpl

          protected polyglot.ast.Ext extCallImpl()

      Overrides:
        `extCallImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extNewImpl

          protected polyglot.ast.Ext extNewImpl()

      Overrides:
        `extNewImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extNewArrayImpl

          protected polyglot.ast.Ext extNewArrayImpl()

      Overrides:
        `extNewArrayImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extArrayInitImpl

          protected polyglot.ast.Ext extArrayInitImpl()

      Overrides:
        `extArrayInitImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extArrayAccessImpl

          protected polyglot.ast.Ext extArrayAccessImpl()

      Overrides:
        `extArrayAccessImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extBinaryImpl

          protected polyglot.ast.Ext extBinaryImpl()

      Overrides:
        `extBinaryImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extInstanceofImpl

          protected polyglot.ast.Ext extInstanceofImpl()

      Overrides:
        `extInstanceofImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extUnaryImpl

          protected polyglot.ast.Ext extUnaryImpl()

      Overrides:
        `extUnaryImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extBlockImpl

          protected polyglot.ast.Ext extBlockImpl()

      Overrides:
        `extBlockImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extSwitchBlockImpl

          protected polyglot.ast.Ext extSwitchBlockImpl()

      Overrides:
        `extSwitchBlockImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extIfImpl

          protected polyglot.ast.Ext extIfImpl()

      Overrides:
        `extIfImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extWhileImpl

          protected polyglot.ast.Ext extWhileImpl()

      Overrides:
        `extWhileImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extCastImpl

          protected polyglot.ast.Ext extCastImpl()

      Overrides:
        `extCastImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extCatchImpl

          protected polyglot.ast.Ext extCatchImpl()

      Overrides:
        `extCatchImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extMethodDeclImpl

          protected polyglot.ast.Ext extMethodDeclImpl()

      Overrides:
        `extMethodDeclImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extInitializerImpl

          protected polyglot.ast.Ext extInitializerImpl()

      Overrides:
        `extInitializerImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extConstructorDeclImpl

          protected polyglot.ast.Ext extConstructorDeclImpl()

      Overrides:
        `extConstructorDeclImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extConstructorCallImpl

          protected polyglot.ast.Ext extConstructorCallImpl()

      Overrides:
        `extConstructorCallImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extConditionalImpl

          protected polyglot.ast.Ext extConditionalImpl()

      Overrides:
        `extConditionalImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extSpecialImpl

          protected polyglot.ast.Ext extSpecialImpl()

      Overrides:
        `extSpecialImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extEvalImpl

          protected polyglot.ast.Ext extEvalImpl()

      Overrides:
        `extEvalImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extExprImpl

          protected polyglot.ast.Ext extExprImpl()

      Overrides:
        `extExprImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extLocalImpl

          protected polyglot.ast.Ext extLocalImpl()

      Overrides:
        `extLocalImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extLocalDeclImpl

          protected polyglot.ast.Ext extLocalDeclImpl()

      Overrides:
        `extLocalDeclImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extFieldDeclImpl

          protected polyglot.ast.Ext extFieldDeclImpl()

      Overrides:
        `extFieldDeclImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extThrowImpl

          protected polyglot.ast.Ext extThrowImpl()

      Overrides:
        `extThrowImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extTryImpl

          protected polyglot.ast.Ext extTryImpl()

      Overrides:
        `extTryImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extReturnImpl

          protected polyglot.ast.Ext extReturnImpl()

      Overrides:
        `extReturnImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extFieldImpl

          protected polyglot.ast.Ext extFieldImpl()

      Overrides:
        `extFieldImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extFieldAssignImpl

          protected polyglot.ast.Ext extFieldAssignImpl()

      Overrides:
        `extFieldAssignImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extArrayAccessAssignImpl

          protected polyglot.ast.Ext extArrayAccessAssignImpl()

      Overrides:
        `extArrayAccessAssignImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extLocalAssignImpl

          protected polyglot.ast.Ext extLocalAssignImpl()

      Overrides:
        `extLocalAssignImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extTypeNodeImpl

          protected polyglot.ast.Ext extTypeNodeImpl()

      Overrides:
        `extTypeNodeImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extLitImpl

          protected polyglot.ast.Ext extLitImpl()

      Overrides:
        `extLitImpl` in class `polyglot.ast.AbstractExtFactory_c`

    - #### extSuppress

          public polyglot.ast.Ext extSuppress()

      Specified by:
        `extSuppress` in interface `AnalysisExtFactory`

    - #### extSuppressImpl

          protected polyglot.ast.Ext extSuppressImpl()

    - #### postExtSuppress

          protected polyglot.ast.Ext postExtSuppress(polyglot.ast.Ext e)